#!/bin/bash

# Directory containing host file(s)
host_dir='/usr/local/etc/hosts/'

# Check for required arguments
[ $# -gt 1 ] || {
   echo "usage: $0 \"command(s)\" hostgroup ..." >&2
   exit 1
}

# Take the command(s) off of the parameter stack
cmd="$1"
shift

# Place full paths to each hostfile in $hostfiles
# This will loop once for every (remaining) argument
for hostfile ; do
   if [ -r "$host_dir/$hostfile" ] ; then
      hostfiles="$hostfiles $host_dir/$hostfile"
   else
      echo "INVALID GROUP: $hostfile" >&2
   fi
done

# Make sure we actually have hosts to operate on
[ -n "$hostfiles" ] || exit 1

# Execute the command(s) on each host
for host in `sort $hostfiles | uniq` ; do
   echo "  ** $host **"
   ssh "$host" "$cmd" || {
      echo "ERROR: Could not execute $cmd on $host!" >&2
   }
done
